[arch-commits] Commit in wxpython/trunk (ChangeLog PKGBUILD)

Eric Belanger eric at archlinux.org
Sun Jul 6 18:27:48 EDT 2008


    Date: Sunday, July 6, 2008 @ 18:27:48
  Author: eric
Revision: 4430

upgpkg: wxpython 2.8.8.0-1
    Upstream update, Added ChangeLog

Added:
  wxpython/trunk/ChangeLog
Modified:
  wxpython/trunk/PKGBUILD

-----------+
 ChangeLog |    5 +++++
 PKGBUILD  |   14 +++++++-------
 2 files changed, 12 insertions(+), 7 deletions(-)

Added: ChangeLog
===================================================================
--- ChangeLog	                        (rev 0)
+++ ChangeLog	2008-07-06 22:27:48 UTC (rev 4430)
@@ -0,0 +1,5 @@
+2008-07-05  Eric Belanger  <eric at archlinux.org>
+
+	* wxpython 2.8.8.0-1
+	* Upstream update
+	* Added ChangeLog

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2008-07-06 22:22:19 UTC (rev 4429)
+++ PKGBUILD	2008-07-06 22:27:48 UTC (rev 4430)
@@ -3,22 +3,22 @@
 # Contributor: Andrew Wright <andreww at photism.org>
 
 pkgname=wxpython
-pkgver=2.8.7.1
+pkgver=2.8.8.0
 pkgrel=1
 pkgdesc="A wxWidgets GUI toolkit for Python."
 arch=('i686' 'x86_64')
 license=('custom:wxWindows')
 url="http://www.wxpython.org"
-depends=('wxgtk>=2.8.7' 'python>=2.5')
+depends=('wxgtk>=2.8.8' 'python>=2.5')
 source=(http://downloads.sourceforge.net/sourceforge/wxpython/wxPython-src-${pkgver}.tar.bz2)
-md5sums=('04fc1079430b18e6fd097b3287e9ae10')
-sha1sums=('5526ee4c4cc57bcebb4950ea05e24639ef8b02dd')
+md5sums=('87b974dda37e7ae4ac25a0d0c94ec8a5')
+sha1sums=('5b9282e99c0369e6c0b9ea980101cce4cfc33446')
 
 build() {
-  cd ${startdir}/src/wxPython-src-${pkgver}/wxPython
+  cd ${srcdir}/wxPython-src-${pkgver}/wxPython
   python setup.py \
     WXPORT=gtk2 \
     UNICODE=1 \
-    build install --root=${startdir}/pkg
-  install -D -m644 ../docs/licence.txt $startdir/pkg/usr/share/licenses/$pkgname/LICENSE
+    build install --root=${pkgdir} || return 1
+  install -D -m644 ../docs/licence.txt ${pkgdir}/usr/share/licenses/${pkgname}/LICENSE || return 1
 }





More information about the arch-commits mailing list